%define	basever	3.5
%define	postver	0
Summary:	Linux kernel headers for use with C libraries
Summary(pl.UTF-8):	Nagłówki jądra Linuksa do użytku z bibliotekami C
Name:		linux-libc-headers
Version:	%{basever}.%{postver}
Release:	1
Epoch:		7
License:	GPL v2
Group:		Development
Source0:	http://www.kernel.org/pub/linux/kernel/v3.x/linux-%{basever}.tar.xz
# Source0-md5:	24153eaaa81dedc9481ada8cd9c3b83d
%if "%{postver}" > "0"
Source1:	http://www.kernel.org/pub/linux/kernel/v3.x/patch-%{version}.bz2
# Source1-md5:	51d5b74c3523c5dd8d0f4d1a7abb68be
%endif
Patch0:		%{name}-esfq.patch
Patch1:		%{name}-wrr.patch
Patch2:		%{name}-fbsplash.patch
Patch3:		%{name}-imq.patch
Patch4:		%{name}-endian.patch
Patch5:		%{name}-pom-set.patch
Patch6:		%{name}-atm-vbr.patch
Patch7:		vserver.patch
AutoReqProv:	no
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.568
Requires(pre):	fileutils
Provides:	alsa-driver-devel
Provides:	glibc-kernel-headers = %{epoch}:%{version}-%{release}
Obsoletes:	alsa-driver-devel
Obsoletes:	glibc-kernel-headers
Obsoletes:	glibc-kernheaders
Conflicts:	lm_sensors-devel < 2.8.2-2
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no objects to extract debug info from
%define		_enable_debug_packages	0

%description
This package includes the C header files that specify the interface
between the Linux kernel and userspace libraries and programs. The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
glibc package.

%description -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe C, które definiują interfejs
między jądrem Linuksa a bibliotekami i programami działającymi w
przestrzeni użytkownika. Pliki nagłówkowe definiują struktury i stałe
potrzebne do zbudowania większości standardowych programów, są także
potrzebne do przebudowania pakietu glibc.

%prep
%setup -q -c
cd linux-%{basever}
%if "%{postver}" > "0"
bzip2 -dc %{SOURCE1} | patch -p1
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C linux-%{basever} headers_install \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
%ifarch ppc ppc64
	ARCH=powerpc
%else
	ARCH=%{_target_base_arch}
%endif

# provided by glibc-headers
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/scsi

# currently provided by libdrm-devel
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/drm

# trash
find $RPM_BUILD_ROOT%{_includedir} -type f -name '..install.cmd' -o -name '.install' | xargs %{__rm}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
[ ! -L /usr/include/linux ] || rm -f /usr/include/linux
[ ! -L /usr/include/asm ] || rm -f /usr/include/asm
[ ! -L /usr/include/sound ] || rm -f /usr/include/sound

%files
%defattr(644,root,root,755)
%{_includedir}/asm
%{_includedir}/asm-generic
%{_includedir}/linux
%{_includedir}/mtd
%{_includedir}/rdma
%{_includedir}/sound
%{_includedir}/video
%{_includedir}/xen
%changelog
* Tue Jul 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 25fa33f
- updated to 3.5[.0]

* Sun Jul 01 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e0c42f7
- up to 3.4.4

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 15cbd91
- updated to 3.4[.0]

* Mon Mar 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 19d9c9f
- updated to 3.3[.0]
- updated esfq patch

* Thu Feb 16 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 378e72b
- up to 3.2.6

* Fri Jan 06 2012 Jakub Bogusz <qboosh@pld-linux.org> a8c5e82
- updated to 3.2.0

* Fri Nov 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f42377e
- up to 3.1.1

* Tue Oct 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51a7516
- up to 3.1.0

* Sun Aug 07 2011 Jakub Bogusz <qboosh@pld-linux.org> a900f08
- updated to 3.0.1

* Fri Jul 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 43df2fe
- postver is now mandatory

* Fri Jul 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ea8a06f
- up to 3.0.0

* Thu May 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 1b18765
- updated to 2.6.39
- removed obsolete ipset-netlink patch

* Wed May 18 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4647bf6
- up to 2.6.38.6; add ipset netlink patch (already in 2.6.39)

* Tue Apr 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a31715
- up to 2.6.38.2

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cad1369
- up to 2.6.38.1

* Tue Mar 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 19daeb7
- updated to 2.6.38
- removed obsolete SuSE.TIOCGDEV and cap-syslog patches

* Thu Jan 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 80921c4
- rel 3; fix caps

* Wed Jan 19 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 68c5961
- rel 2; introduce CAP_SYSLOG from 2.6.38+; move CAP_CONTEXT to 63 (follow vserver upstream)

* Thu Jan 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 8261130
- updated to 2.6.37
- updated TIOCGDEV patch

* Thu Oct 21 2010 Jakub Bogusz <qboosh@pld-linux.org> be1721a
- updated to 2.6.36
- updated SuSE.TIOCGDEV patch

